<?php
require('pdf/fpdf.php');

if (isset($_POST['item'])) {
	include('database/conexion.php');
	$html = '';
	$description = '';
	$id_viaj = "";
	$fechaReg_viaj = "";
	$motivo_viaj = "";
	$destino_viaj="";
	
	$nomb_dire="";
	$cargo_dire="";
	$nomb_resp="";
	$cargo_resp="";
	$viatico_viaj="";
	$pasaje_viaj="";
	$otros_viaj="";
	$destino_dep="";
	$num_com="";
	$conclusion=""; //otro_gast
	$otro_gast="";
	
	$f_salida="";
	$h_salida="";
	$f_retorno="";
	$h_retorno="";
	$m_trans="";
		
	$fecha_inc = "";
	$fecha_fin = "";
	$id_per = "";
	$nom_per = "";
	$primerAp_per = "";
	$segundoAp_per = "";
	$numDoc_per = "";
	$expeditoDoc_per = "";
	$cargo = "";

	if (isset($_POST["item"]) && $_POST["item"]) {
		$id_viaj = $_POST["item"];
		try {
			$sql = $conexion->prepare("SELECT * FROM t_comision_info WHERE id_viaj=:id_viaj");
			$sql->bindParam(':id_viaj', $_POST["item"]);
			$sql->execute();
			$viajes = $sql->fetch(PDO::FETCH_ASSOC);

			if ($viajes) {
				$description = utf8_decode($viajes["motivo_viaj"]);

				$sqlUser = $conexion->prepare("SELECT * FROM t_personales WHERE id_per=:id_per");
				$sqlUser->bindParam(':id_per', $viajes["id_per"]);
				$sqlUser->execute();
				$user = $sqlUser->fetch(PDO::FETCH_ASSOC);

				if ($user) {
					$id_viaj = $viajes['id_viaj'];
					$fechaReg_viaj = $viajes['fechaReg_viaj'];
					$motivo_viaj = $viajes['motivo_viaj'];
					$destino_viaj = $viajes['destino_viaj'];
					
					$nomb_dire = $viajes['nomb_dire'];
					$cargo_dire = $viajes['cargo_dire'];
					$nomb_resp = $viajes['nomb_resp'];
					$cargo_resp = $viajes['cargo_resp'];
					$viatico_viaj = $viajes['viatico_viaj'];
					$pasaje_viaj = $viajes['pasaje_viaj'];
					$otros_viaj = $viajes['otros_viaj'];
					$destino_dep = $viajes['destino_dep'];
					$num_com = $viajes['num_com'];
					$conclusion = $viajes['conclusion'];
					$otro_gast = $viajes['otro_gast'];
					
					$f_salida = $viajes['f_salida'];
					$h_salida = $viajes['h_salida'];
					$f_retorno = $viajes['f_retorno'];
					$h_retorno = $viajes['h_retorno'];
					$m_trans = $viajes['m_trans'];
					
					$fecha_inc = $viajes['fecha_inc'];
					$fecha_fin = $viajes['fecha_fin'];
					$id_per = $viajes['id_per'];
					$nom_per = $user['nom_per'];
					$primerAp_per = $user['primerAp_per'];
					$segundoAp_per = $user['segundoAp_per'];
					$numDoc_per = $user['numDoc_per'];
					$expeditoDoc_per = $user['expeditoDoc_per'];
					$cargo = $user['cargo'];
					list($anio, $mes, $dia) = explode("-", $fechaReg_viaj);
				}
			}
		} catch (\Throwable $th) {
			var_dump($th->getMessage());
			exit();
		}
	} else {
		var_dump("empty");
		exit();
	}

	$ruta = '../tempQR/';

	if (!file_exists($ruta))
		mkdir($ruta);

	$filename = $ruta . "imgTempViaje" . '.png';

	$tamanio = 6; //tamaño de pixles
	$level = 'M'; // L:baja , M:median, Q:Alta, H:maxima
	$frameSize = 3; // borde de blanco 
	$contenido = 'Nº de viaje : ' . $id_viaj . " " . " Funcionario : " . $nom_per . " " . $primerAp_per . " " . $segundoAp_per . " " . " CI: " . $numDoc_per;

	require_once('pdf/tutorial/headerYfooter.php');

	$pdf = new PDF();
	$pdf->AliasNbPages();
	$pdf->AddPage();

	$pdf->Ln(-15);
	$pdf->SetFont('Arial', '', 12); //fuente
	$pdf->Cell(135);					//mover a la derecha
	$pdf->SetTextColor(245, 27, 13);		//color del texto 

	if (($id_viaj > 0) && ($id_viaj < 10)) {
		$pdf->Cell(50, 8, utf8_decode('Nº 000000') . $id_viaj . "/" . date("Y"), 0, 2, 'R'); //titulo
	}
	if (($id_viaj > 9) && ($id_viaj < 100)) {
		$pdf->Cell(50, 8, utf8_decode('Nº 00000') . $id_viaj . "/" . date("Y"), 0, 2, 'R'); //titulo
	}
	if (($id_viaj > 99) && ($id_viaj < 1000)) {
		$pdf->Cell(50, 8, utf8_decode('Nº 0000') . $id_viaj . "/" . date("Y"), 0, 2, 'R'); //titulo
	}
	if (($id_viaj > 999) && ($id_viaj < 10000)) {
		$pdf->Cell(50, 8, utf8_decode('Nº 000') . $id_viaj . "/" . date("Y"), 0, 2, 'R'); //titulo
	}


$pdf->SetTextColor(0, 0, 0);
$pdf->SetFont('Arial', 'B', 10); //fuente
$pdf->SetXY(152,5);
$pdf->Cell(5, 15, utf8_decode('FRM 2') , 0, 0, ''); //titulo
$pdf->SetFont('Arial', 'B', 14); //fuente
$pdf->SetXY(130,10);
$pdf->Cell(5, 15, utf8_decode('INFORME DE COMISION') , 0, 0, ''); //titulo
$pdf->Ln(5); 	//salto de linia
$pdf->SetXY(145,15);
$pdf->Cell(5, 15, utf8_decode('DE VIAJE') , 0, 0, ''); //titulo

$pdf->Ln(30); 	//salto de linia


require_once('pdf/tutorial/contenido.php');



	
	

	$pdf->Output();
}
